var myApp = new Framework7({
  fastClicks: false
});
 
var $$ = Dom7;
 
var mainView = myApp.addView('.view-main', {
  dynamicNavbar: true
});


var app = new Vue({
  el: '#app',
  data: {
    byte: [0, 0, 0, 0, 0, 0, 0, 0]
  },
  methods: {
    getBinStr: function(val, pos){
      var str = "";
      var zeros = "00000000";

      str = val.toString(2);

      var len = str.length;
      str = zeros.substr(1, pos - len) + str;

      return str;
    },
    getAsciiChar: function(val){
      if (val < 32) return " ";

      return String.fromCharCode(val);
    },
    getBit: function(n){
      return this.byte[n];
    },
    setBit: function(n, val){
      Vue.set(this.byte, n, val);
    },
    toggleBit: function(n){
      var val = this.getBit(n) ? 0 : 1;
      this.setBit(n, val);
    }
  },
  computed: {
    idx: function(){
      var val = 0;
      for (var i = 6; i > -1; i--){
        val = val + this.byte[i] * Math.pow(2, i);
      };

      return val;
    }
  }
})